vtc: XVtc Struct Reference

| vtc Xilinx SDK Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List
- Examples

- Data Structures
- Data Fields

Data Fields
XVtc Struct Reference
Vtc_v7_2

The XVtc driver instance data. More...

## Data Fields
XVtc_Config | Config
| Hardware Configuration. More...
u32 | IsReady
| Core and the driver instance are initialized. More...
XVtc_CallBack | FrameSyncCallBack
| Callback for Frame Sync interrupt. More...
void * | FrameSyncRef
| To be passed to the Frame Sync interrupt callback. More...
XVtc_CallBack | LockCallBack
| Callback for Signal Lock interrupt. More...
void * | LockRef
| To be passed to the Signal Lock interrupt callback. More...
XVtc_CallBack | DetectorCallBack
| Callback for Detector interrupt. More...
void * | DetectorRef
| To be passed to the Detector interrupt callback. More...
XVtc_CallBack | GeneratorCallBack
| Callback for Generator interrupt. More...
void * | GeneratorRef
| To be passed to the Generator interrupt callback. More...
XVtc_ErrorCallBack | ErrCallBack
| Callback for Error interrupt. More...
void * | ErrRef
| To be passed to the Error interrupt callback. More...

## Detailed Description

The XVtc driver instance data.

An instance must be allocated for each VTC core in use.

## Field Documentation

XVtc_Config XVtc::Config

Hardware Configuration.

Referenced by XVtc_CfgInitialize(), XVtc_Disable(), XVtc_DisableDetector(), XVtc_DisableGenerator(), XVtc_Enable(), XVtc_EnableDetector(), XVtc_EnableGenerator(), XVtc_GetDelay(), XVtc_GetDetector(), XVtc_GetDetectorHoriOffset(), XVtc_GetDetectorPolarity(), XVtc_GetFSync(), XVtc_GetGenerator(), XVtc_GetGeneratorHoriOffset(), XVtc_GetPolarity(), XVtc_GetSkipLine(), XVtc_GetSkipPixel(), XVtc_GetSource(), XVtc_GetVersion(), XVtc_SetDelay(), XVtc_SetFSync(), XVtc_SetGenerator(), XVtc_SetGeneratorHoriOffset(), XVtc_SetPolarity(), XVtc_SetSkipLine(), XVtc_SetSkipPixel(), and XVtc_SetSource().

XVtc_CallBack XVtc::DetectorCallBack

Callback for Detector interrupt.

Referenced by XVtc_CfgInitialize(), XVtc_IntrHandler(), and XVtc_SetCallBack().

void* XVtc::DetectorRef

To be passed to the Detector interrupt callback.

Referenced by XVtc_IntrHandler(), and XVtc_SetCallBack().

XVtc_ErrorCallBack XVtc::ErrCallBack

Callback for Error interrupt.

Referenced by XVtc_CfgInitialize(), XVtc_IntrHandler(), and XVtc_SetCallBack().

void* XVtc::ErrRef

To be passed to the Error interrupt callback.

Referenced by XVtc_IntrHandler(), and XVtc_SetCallBack().

XVtc_CallBack XVtc::FrameSyncCallBack

Callback for Frame Sync interrupt.

Referenced by XVtc_CfgInitialize(), XVtc_IntrHandler(), and XVtc_SetCallBack().

void* XVtc::FrameSyncRef

To be passed to the Frame Sync interrupt callback.

Referenced by XVtc_IntrHandler(), and XVtc_SetCallBack().

XVtc_CallBack XVtc::GeneratorCallBack

Callback for Generator interrupt.

Referenced by XVtc_CfgInitialize(), XVtc_IntrHandler(), and XVtc_SetCallBack().

void* XVtc::GeneratorRef

To be passed to the Generator interrupt callback.

Referenced by XVtc_IntrHandler(), and XVtc_SetCallBack().

u32 XVtc::IsReady

Core and the driver instance are initialized.

Referenced by XVtc_CfgInitialize(), XVtc_ConvSignal2Timing(), XVtc_ConvTiming2Signal(), XVtc_ConvTiming2VideoMode(), XVtc_ConvVideoMode2Timing(), XVtc_Disable(), XVtc_DisableDetector(), XVtc_DisableGenerator(), XVtc_Enable(), XVtc_EnableDetector(), XVtc_EnableGenerator(), XVtc_GetDelay(), XVtc_GetDetector(), XVtc_GetDetectorHoriOffset(), XVtc_GetDetectorPolarity(), XVtc_GetDetectorTiming(), XVtc_GetDetectorVideoMode(), XVtc_GetFSync(), XVtc_GetGenerator(), XVtc_GetGeneratorHoriOffset(), XVtc_GetGeneratorTiming(), XVtc_GetGeneratorVideoMode(), XVtc_GetPolarity(), XVtc_GetSkipLine(), XVtc_GetSkipPixel(), XVtc_GetSource(), XVtc_IntrHandler(), XVtc_SetCallBack(), XVtc_SetDelay(), XVtc_SetFSync(), XVtc_SetGenerator(), XVtc_SetGeneratorHoriOffset(), XVtc_SetGeneratorTiming(), XVtc_SetGeneratorVideoMode(), XVtc_SetPolarity(), XVtc_SetSkipLine(), XVtc_SetSkipPixel(), and XVtc_SetSource().

XVtc_CallBack XVtc::LockCallBack

Callback for Signal Lock interrupt.

Referenced by XVtc_CfgInitialize(), XVtc_IntrHandler(), and XVtc_SetCallBack().

void* XVtc::LockRef

To be passed to the Signal Lock interrupt callback.

Referenced by XVtc_IntrHandler(), and XVtc_SetCallBack().